# Something's not quite right with libtool....
%define __libtoolize :

Summary: Backward compatibility libraries for Portable Spell Checker Interface Library.
Name: pspell012
Version: 0.12.2
Source0: http://download.sourceforge.net/pspell/pspell-.12.2.tar.gz
Epoch: 3
Release: 16.1.ker.rhel3
License: LGPL
Group: Applications/Text
URL: http://pspell.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
The Pspell library provides a generic interface to any spell checker
libraries installed on the system.

This package contain backward compatibility libraries.

%prep
%setup -q -n pspell-.12.2

%build
%configure --enable-static --enable-ltdl
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/usr/doc/pspell .
rm pspell/manual.aux pspell/manual.lyx

# remove unneeded files
rm -rf $RPM_BUILD_ROOT/usr/include \
       $RPM_BUILD_ROOT/%{_libdir}/*.so \
       $RPM_BUILD_ROOT/%{_libdir}/*.a \
       $RPM_BUILD_ROOT/usr/bin \
       $RPM_BUILD_ROOT/usr/share

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README pspell/*
%{_libdir}/libpspell-*.so.*
%{_libdir}/libpspell.so.*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh.
%{_libdir}/lib*.la
#/usr/bin/*
#/usr/share/pspell

#%files		devel
#%defattr(-,root,root)
#/usr/include/pspell
#%{_libdir}/*.so
#%{_libdir}/*.a

%changelog
* Sat Feb 14 2004 Milan Kerslager <kerslage@linux.cz> 3:0.12.2-16.1.ker.rhel3
- initial release of backward compatibility libraries (no devel package)
- SPEC file based on on RHEL3's package
